#ifndef FNT__KERNEL_SETTINGS_H
#define FNT__KERNEL_SETTINGS_H

#include "../include/log.h"

/*** global variables defined in .c file *******************************/

/*** typedefs(not structures) and defined constants ********************/

/*** enums *************************************************************/

/*** structures declarations (and typedefs of structures)***************/

typedef struct kernel_settings_struct
{

    fnt_log_type_t log_type;
    fnt_log_errlevel_t log_level;
    char *facility_or_fname;

    char *pid_directory;
    char *pid_file;

    int io_check_interval;

    /** how we listen for stuff */
    char *listen_ip;
    int listen_port;

    int tls_auth_type;

    char *ssl_directory;

    char *ssl_private_key;
    char *ssl_public_key;

    char *fidonet_node_address;

    /* debugging options */
    bool debug_stream;
    bool debug_channel;


    bool	isSettingsInit;
} kernel_settings_t;

/*** declarations of public functions **********************************/

bool kernel_settings_read (void);

void kernel_settings_cleanup (void);

#endif
